h1 {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:xlarge;margin:inherit !important; padding-top:5px;line-height:1 !important;}
body {font-family:"Century",serif;font-size:12pt;color:black;line-height:unset;}
.bkimage { 
  background-image:url('/images/sitebackground1.jpg'); 
  background-repeat:no-repeat; 
  background-size: cover;
}
.bkwhite {background-color:white;min-height: calc(100vh - 170px);line-height:1.3;}
.form-control {font-size: 16px;}
a {color:#1a73e8;}
.panel div > a { color:#1a73e8; }
a.nolink {text-decoration:none !important; color:unset;}
.previewlink { word-wrap: break-word; overflow-wrap: break-word;}
/*
.navbar {background-image: linear-gradient(to bottom,#fff 0%,#f0d69655 0%);}
*/
.navbar {background-image: none; background-color:#f0d69655;}
.navbar-brand {padding:5px 5px !important;}
.navbar-nav > li > a {color:#4c4f56 !important;font-size:16pt;font-weight:400;font-family:"Alegreya SC"}
.navbar {margin-bottom:inherit !important;}

.navbar-toggle {background-color:transparent !important;}
.navbar-toggle:visited .navbar-toggle:active, .navbar-toggle:link, .navbar-toggle:focus {background-color:transparent !important;}
.navbar-toggle:hover {background-color:#2f4d56 !important;}

.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}
.material-symbols-outlined.filled {
  font-variation-settings:
  'FILL' 1,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}
.nopad {padding-right:0px;padding-left:0px;}

.single-item {
    overflow-x: hidden;
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease;
    -webkit-transition: opacity 1s ease;
}
.single-item.slick-initialized {
    visibility: visible;
    opacity: 1;    
}
.slick-slide img {
  width: 100%;
  height: auto; /* Maintains aspect ratio */
  object-fit: cover; /* Optional: adjust how images fit within the slide container */
}

footer {font-family:"Alegreya SC";font-size:large;color:white;background-color:#2f4d56;font-weight:400;line-height:1.2;}

hr { margin-top:0px; margin-bottom:0px; }
hr.news { margin:15px; border: 1px solid #cccccc;}

.datatable { width:100% }
.datatable td, th  {font-size:10pt;padding-right:20px;}
.datatable th  {vertical-align:bottom;}
.datatable td  {vertical-align:top;}
.datatable td input[type=checkbox]	{margin:unset !important;}
.datatable th { background-color: #dddddd; }
.datatable tr:nth-child(even) { background-color: #f5f5f5; }
.datatable tr:hover {background-color: rgb(250, 211, 159);} 
.datatable2 th { background-color:unset;border-bottom:1px solid black; }

.datatable3 { width:100% }
.datatable3 td, th  {font-size:10pt;padding-right:20px;}
.datatable3 th  {vertical-align:bottom;}
.datatable3 td  {vertical-align:top;}
.datatable3 td input[type=checkbox]	{margin:unset !important;}
.datatable3 th { background-color: #dddddd; }
.datatable3 tr:nth-child(even) { background-color: #f5f5f5; }

.codeEditor {width:100%;font-family:Consolas,serif;font-size:9pt;}

.infotable { border-collapse:collapse; border: 1px solid black; margin-left:auto; margin-right:auto; }
.infotable td, .infotable th  { border: 1px solid black; padding:1px 20px 1px 2px; }
.infotable tr:first-child > td  { vertical-align:bottom; white-space: nowrap; background-color: #f3e0b4; font-weight:bold; }
.infotable td  { vertical-align:top; }

.bstable > .row:hover { background-color: rgb(250, 211, 159);}
.bstable > .row { cursor:pointer;border:1px solid #cccccc;border-radius: 9px;margin:5px; }
.mgdoc { cursor:pointer;}
.mgdoc:nth-child(even) { background-color: #f5f5f5; }
.mgdoc:hover { background-color: rgb(250, 211, 159);} 
.newlock > span.material-symbols-outlined { font-size:26px;}
.homenews > .text-center > .btn-primary, .homeactivity > .text-center > .btn-primary {
    background-image: none;
    background-color:#337ab7;
    border:none;
    color:white;
    font-size:12pt;
  }
.homefloral {
  width:13vw;
}


@media (min-width: 0px) {
  .homeslider, .homenestled { padding-right: 0px; padding-left: 0px;}
  .staticpage { width: 100%; background-color:white; min-height: calc(100vh - 170px); padding: 15px; position:relative; }
  .rowlock { font-size:13px;vertical-align:top;}
  .bstable > .row > div > span.material-symbols-outlined { font-size:55px;color:teal; }
  .bstable > .row > div.col-xs-2 { padding:2px;}
  .modal-dialog { width:92%; }
  body {font-size:16px;}
  h4.panel-title {font-size:14pt;}
  .siteLogo { height:45px;}
  .btb { color:#f3e0b4;background-color:#2f4d56;padding:3%;font-size:14pt;font-weight:500; }
  .homenewsheader {font-family: "Century", serif;color:#4c4f56;font-size:16pt;font-weight:600;}
  .homeactivity { color:#4c4f56;background-color:#f0d69655;padding-top:1%;font-weight:500;line-height:1 !important;}
  .homenews { color:#4c4f56;padding-top:1%;font-weight:500;line-height:1 !important;}
  .homenewsdate {font-family: "Alegreya SC", serif;font-size:14pt;margin:inherit !important;}
  .homenewsheadline {font-family: "Alegreya SC", serif;font-size:14pt;line-height:100%;}
  .homeheadline {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:20px;font-weight:400;line-height:100%;}
  .homeblurb {
    display:none;
  }
  .homedate {font-family: "Alegreya SC", serif;color:#4c4f56;font-weight:500;font-size:18px;}
  .homenewsbreak {border-color:#4c4f56;margin:3% 0 3% 0}
  .hometitle {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:18pt;font-weight:600;line-height: 1.2;}
  .homesubtitle {font-family: "Century", serif;color:#4c4f56;font-size:12pt;font-weight:500;}
  .homepanel { vertical-align:middle;}
  .homebutton {
    background-image: none;
    background-color:#337ab7;
    border:none;
    color:white;
    font-size:10pt;
    position:relative;
    float: unset !important;
    margin-top:2vw;
  }
  .boxbutton {
    text-align:right;
    bottom:10;
  }
  .boxbutton2 {
    
    text-align:right;
    bottom:10;
  }
  .pump { 
    border:solid white;
    border-width:0px 0px 5px 0px;
    background-color: #eeeeee;
  }
  .home1 { 
    border:solid white;
    border-width:5px 0px 0px 0px;
    background-color: #f0d69655;
    padding-bottom:10px;
  }
  .home2 { 
    border:solid white;
    border-width:5px 0px 0px 0px;
    padding-bottom:10px;
    background-image:url(''); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(250,241,220,0.75);
    background-blend-mode: lighten;
  }
  .home3 { 
    border:solid white;
    border-width:5px 0px 5px 0px;
    aspect-ratio: 4 / 1.05;
    background-image:url('/images/residents.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
  .home4 { 
    border:solid white;
    border-width:0px 0px 5px 0px;
    aspect-ratio: 4 / 1;
    background-image:url('/images/activities.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.85);
    background-blend-mode: lighten;
  }
  .home5 { 
    border:solid white;
    border-width:0px 0px 5px 0px;
    aspect-ratio: 4 / 1;
    background-image:url('/images/calendar3.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
}

@media (min-width: 767px) {
  .staticpage { width: 80%; background-color:white; padding: 15px; min-height: calc(100vh - 170px); left:10%; position:relative; }
  .rowlock { font-size:13px;vertical-align:middle;}
  .bstable > .row > div > span.material-symbols-outlined { font-size:40px;color:teal; padding-top:2px;}
  .modal-dialog { width: 600px; }
  body {font-size:12pt;}
  h4.panel-title {font-size:12pt;}
  .siteLogo { height:50px;}
  
  .homeheadline {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:2.2vw;font-weight:400;line-height:100%;}
  .homeactivity { color:#4c4f56;background-color:#f0d69655;padding-top:1%;font-weight:500; }
  .homedate {font-family: "Alegreya SC", serif;color:#4c4f56;font-weight:400;font-size:2vw;line-height:.9;}

  .homeblurb {
    color:#4c4f56;
    font-weight:500;
    font-size:1.9vw;
    overflow: hidden;         
    display: -webkit-box;       
    -webkit-box-orient: vertical; 
    -webkit-line-clamp: 2;      
    line-clamp: 2;
  }
  .homenewsbreak {border-color:#4c4f56;margin:3% 0 3% 0}
  .hometitle {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:3vw;font-weight:500;}
  .homesubtitle {font-family: "Century", serif;color:#4c4f56;font-size:2vw;font-weight:500;}
  .homepanel3 { margin-top:25%;}
  .homebutton {
    background-image: none;
    background-color:#337ab7;
    border:none;
    color:white;
    font-size:12pt;
    position:relative;
    float: unset !important;
    margin-top:2vw;
  }
  .boxbutton {
    position:absolute;
    bottom:1.5vw;
    text-align:center;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
  }
  .boxbutton2 {
    position:absolute;
    bottom:8vw;
    text-align:center;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
  }
  .pump { 
    border:solid white;
    border-width:0px 5px 5px 5px;
    background-color: #eeeeee;
  }
  .home1 { 
    border:solid white;
    border-width:5px 5px 0px 5px;
    height:23vw;
    background-color: #f0d69655;
  }
  .home2 { 
    border:solid white;
    border-width:5px 5px 0px 0px;
    height:23vw;
    background-image:url(''); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(250,241,220,0.75);
    background-blend-mode: lighten;
  }
  .home3 { 
    text-align:center;
    border:solid white;
    border-width:5px 5px 5px 5px;
    aspect-ratio: 1 / 1;
    background-image:url('/images/residents.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
  .home4 { 
    text-align:center;
    border:solid white;
    border-width:5px 5px 5px 0px;
    aspect-ratio: 1 / 1;
    background-image:url('/images/activities.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.85);
    background-blend-mode: lighten;
  }
  .home5 { 
    text-align:center;
    border:solid white;
    border-width:5px 5px 5px 0px;
    aspect-ratio: 1 / 1;
    background-image:url('/images/calendar3.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
}
@media (min-width: 1200px) {
  .staticpage { width: 1200px; background-color:white; padding: 15px; min-height: calc(100vh - 170px); position:relative; margin:auto; left:0; }
  .homepage { width: 1200px; background-color:white; position:relative; margin:auto; padding:0; }
  .container-fluid {padding:0 !important;}
  .row {margin:0 !important;}
  .homeback {
    background-image:url('/images/sitebackground1.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255, 255, 255, 0.85) !important; 
    background-blend-mode: lighten;
  }
  .homeslider { 
    padding-right: 0px; 
    padding-left: 0px;
    border:solid white;
    border-width:5px 5px 0px 5px;
  }
  .hometitle {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:31px;font-weight:500;}
  .homesubtitle {font-family: "Century", serif;color:#4c4f56;font-size:18px;font-weight:500;}
  .homeheadline {font-family: "Alegreya SC", serif;color:#4c4f56;font-size:26px;font-weight:400;line-height:100%;}
  .homedate {font-family: "Alegreya SC", serif;color:#4c4f56;font-weight:400;font-size:21px;line-height:.9;}
  .homeblurb {
    color:#4c4f56;
    font-weight:500;
    font-size:18px;
    overflow: hidden;         
    display: -webkit-box;       
    -webkit-box-orient: vertical; 
    -webkit-line-clamp: 2;      
    line-clamp: 2;
  }
  .homenestled {
    padding-right: 0px; 
    padding-left: 0px;
    border:solid white;
    border-width:0px 5px 0px 5px;
  }
  .boxbutton {bottom:18px;}
  .btb { color:#f3e0b4;background-color:#2f4d56;padding:3%;font-size:24px;font-weight:500;height:154px; }
  .pump { 
    border:solid white;
    border-width:0px 5px 5px 5px;
    height:unset;
    background-color: #eeeeee;
  }
  .home1 { 
    border:solid white;
    border-width:0px 5px 5px 5px;
    height:unset;
    background-color: #f0d69655;
  }
  .home2 {
    padding:5px;
    border:solid white;
    border-width:5px 5px 5px 0px;
    height:217px;
    text-align:center;
    background-image:url(''); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(250,241,220,0.75);
    background-blend-mode: lighten;
  }
  .boxbutton-residents {
    position:absolute;
    bottom:14px;
    text-align:center;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
  }
  .home-residents { 
    padding-top:2%;
    text-align:center;
    border:solid white;
    border-width:5px 5px 5px 0px;
    aspect-ratio: 2 / 1;
    background-image:url('/images/residents.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
  .home-vendors { 
    padding-top:7%;
    text-align:center;
    border:solid white;
    border-width:0px 5px 5px 0px;
    aspect-ratio: 2 / 1;
    background-image:url('/images/activities.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
  .home-calendar { 
    padding-top:4%;
    text-align:center;
    border:solid white;
    border-width:0px 5px 0px 0px;
    aspect-ratio: 2 / 1;
    background-image:url('/images/calendar3.jpg'); 
    background-repeat:no-repeat; 
    background-size: cover;
    background-color: rgba(255,255,255,0.75);
    background-blend-mode: lighten;
  }
}


input[type="datetime-local"] {
    -webkit-appearance: none; 
    appearance: none;
    height: 40px; 
    font-size: 16px; 
    padding: 10px;
    box-sizing: border-box; 
    line-height: normal;
    vertical-align: middle;
}
jodit-filebrowser .jodit-filebrowser-item__image {
  background-image: url('path/to/loading.gif'); /* Path to your loader image */
  background-repeat: no-repeat;
  background-position: center;
  background-size: 20px; /* Adjust size */
}

/* Ensure image hides loading gif once loaded */
.jodit-filebrowser .jodit-filebrowser-item__image[style*="background-image"] {
  background-image: none !important;
}